#!/bin/bash
echo -e "********** Caddy Setup and Install ***************"
if [[ $(env | grep CADDY_LIB) ]]; then
    mkdir -p $CADDY_HOME >/dev/null
    pushd $CADDY_HOME > /dev/null || exit 2
    echo making caddy subdirectories $PWD
    mkdir data conf settings bin 2> /dev/null 
    popd > /dev/null || exit 2
    chown -R 1000:1000 $CADDY_HOME
    echo -e "------------------"
    echo $CADDY_HOME 
    ls -la $CADDY_HOME
    echo $CADDY_CONF
    ls -la $CADDY_CONF
    echo -e "-------------------"
    source $CADDY_LIB
     if caddy_install_bin; then
      caddy_add_packages
      else
      echo ERROR: unable to install caddy binary
      echo Image will not function
    fi
  else
    echo ERROR: caddy build environment not set
    echo see env/build.env in source directory
    cat /opt/env/build.env
    cat /opt/env/run.env
    echo build aborted
fi
echo -e "********** Done: Caddy Setup and Install ***************"
